function copyClipboard(className) {

	var copyText = jQuery('.site-name-' + className).data('text');

	navigator.clipboard.writeText(copyText).then(function() {
		jQuery('.copied-' + className).html("copied!!");
		jQuery('.copied-' + className).show();

		setTimeout(function(){
			jQuery( '.copied-' + className ).fadeOut( "slow" );
		}, 3000);

	}, function(err) {
		jQuery('.copied-' + className).html("not copied!!");
	});

}


jQuery(document).ready(function($) {
    $('#cdnbull-sync-button').on('click', function(e) {
        e.preventDefault();

        $.ajax({
            url: ajaxurl, // WordPress AJAX URL
            type: 'POST',
            dataType: 'json',
            data: {
                action: 'cdnbull_backup_request',
                _cdn: 'synct',
                _wpnonce: cdnbull_backup_nonce // Nonce security
            },
            beforeSend: function() {
                $('.response-message').html('<p class="loading">' + cdnbull_backup_wait_text + '</p>');
            },
            success: function(response) {
                if (response.success) {
                    $('.response-message').html('<p class="success">' + response.data.message + '</p>');
                } else {
                    $('.response-message').html('<p class="error">' + response.data.message + '</p>');
                }
            },
            error: function() {
                $('.response-message').html('<p class="error">' + cdnbull_backup_error_text + '</p>');
            }
        });
    });
});